Module Prestashop 1.7


#1

Bonjour, je me permet de contacter la communauté car malheureusement malgré mais recherche je ne trouve pas de module Matomo fonctionnant sur prestashop 1.7.

Pour les versions précédente j’utilise le module de Dh42, mais qui n’est pas compatible avec la 1.7.

J’ai essayé le module “Module Piwik - Free Web Analytics” présent sur la Marketplace de presta, sur le site : https://www.dome.discount/
mais a prioro celui-ci rajoute simplement un code fourni dans le footer. Du coup je réccupère bien les statistique de visite mais pas e commerce (commande, panier,…)

Je suppose que je ne doit pas être le seul utilisateur de Matomo avec un Prestashop 1.7, quelle solution utilisez vous.

D’avance merci pour vos réponses.


(Alderic) #2

Bonjour locaweb,

idem pour moi mais avec Prestashop 1.6… il n’arrive pas à joindre l’API
curieusement j’ai bien des stats mais rien niveau eCommerce…
J’ai l’impression que nous avons le même problème.

Avez-vous trouvé une solution ?

Bien à vous


(Lukas Winkler) #3

Hi @loca-web and @aldo,

(sorry for the English answer)

Both modules aren’t developed by the Matomo team, but by a third party developer so I’d recommend you to contact the developer directly (or invite him to answer here) as they know what could be the issue.


(Alderic) #4

I’ll try, thank for your answer ! ^^


#5

J’ai bien entendu contacter le vendeur du module, celui-ci n’a pas trouvez de solution est m’a dit que cela venez de mon theme et m’a effectué un remboursement. J’ai de mon coté essayé ce module sur plusieurs prestashop 1.7 avec des thèmes différents et ou il ne marche pas du tous ou il n’y a pas de log e-commerce. Donc toujours pas de solutions pour relier Matomo avec les log ecommerce avec un Prestashop 1.7.
Pour prestashop 1.6 avec le module de Dh42 je n’ai jamais eu aucun probleme, Alderic quel module utilisez vous ?

Sinon toujours dans l’attente d’une solution pour relié Prestashop 1.7 et Matomo avec les log ecommerce, que ce soit un module ou du code je suis preneur.


#6

J’ai contacté Dh42 (c’est on jamais) , voici la réponse :
“Hey,
The module is not compatible with 1.7 and we do not currently have plans to make it compatible.”

Donc pas de piste du coté de Dh42, je tente de contacté le support de Matomo, car celà me semble bizarre que rien ne soit prevu pour la derniere version du cms ecommerce le plus utilisé.


(Alderic) #7

Bonjour Loca-web, j’utilise le module « Piwik Web Analytics » v 1.1.0 mais je suis en Prestashop 1.6
et toujours pas de remontée d’information sur :

  • les achats
  • les paniers perdus
  • les recherches en interne

juste les visites et les pages visitées.


#8

Celui de DH42 ? si oui il marche normalement très bien avec prestashop 1.6, mais il est vrai que la configuration n’est pas non plus ultra simple, le probleme vient surement de la.
N’hésites à mettre une capture d’ecran de ta config j’y jetterai un coup d’oeil.


(Pablo) #9

Any new about Matomo and Prestashop 1.7 ?